#
# Conditional build:
%bcond_with	python2	# CPython2 module
%bcond_without	python3	# CPython3 module
%bcond_with	rpm5	# build with rpm5
#
Summary:	Create deltas between rpms
Summary(pl.UTF-8):	Generowanie różnic między pakietami rpm
Name:		deltarpm
Version:	3.6.5
Release:	2
License:	BSD
Group:		Base
#Source0Download: https://github.com/rpm-software-management/deltarpm/tags
Source0:	https://github.com/rpm-software-management/deltarpm/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d60921e36c8866cb5933e2002c1b3830
Patch0:		%{name}-3.4-no-skip-doc.patch
Patch1:		%{name}-3.4-pld.patch
Patch2:		%{name}-rpm5.patch
URL:		https://github.com/rpm-software-management/deltarpm
BuildRequires:	bzip2-devel
BuildRequires:	popt-devel
%{?with_python2:BuildRequires:	python-devel >= 2}
%{?with_python3:BuildRequires:	python3-devel >= 1:3.2}
BuildRequires:	rpm-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.507
BuildRequires:	xz-devel
BuildRequires:	zlib-static
BuildRequires:	zstd-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A deltarpm contains the difference between an old and a new version of
a rpm, which makes it possible to recreate the new rpm from the
deltarpm and the old one. You don't have to have a copy of the old
rpm, deltarpms can also work with installed rpms.

%description -l pl.UTF-8
Deltarpm zawiera różnice pomiędzy starą i nową wersją pakietu RPM,
pozwalając na stworzenie nowej wersji na podstawie delty i starej
wersji. Nie jest konieczne posiadanie kopii starego pakietu RPM,
deltarpm obsługuje także już zainstalowane pakiety.

%package -n drpmsync
Summary:	Sync a file tree with deltarpms
Summary(pl.UTF-8):	Synchronizacja drzewa plików deltarpm
Group:		Base
Requires:	%{name} = %{version}-%{release}
Suggests:	deltaiso

%description -n drpmsync
This package contains a tool to sync a file tree with deltarpms.

%description -n drpmsync -l pl.UTF-8
Ten pakiet zawiera narzędzie do synchronizacji drzewa plików deltarpm.

%package -n deltaiso
Summary:	Create deltas between isos containing rpms
Summary(pl.UTF-8):	Tworzenie różnic między obrazami ISO zawierającymi pakiety RPM
Group:		Base
Requires:	%{name} = %{version}-%{release}

%description -n deltaiso
This package contains tools for creating and using deltaisos, a
difference between an old and a new iso containing rpms.

%description -n deltaiso -l pl.UTF-8
Ten pakiet zawiera narzędzia do tworzenia i wykorzystywania plików
deltaiso - różnic między starymi a nowymi obrazami ISO zawierającymi
pakiety RPM.

%package -n python-deltarpm
Summary:	Python 2 bindings for deltarpm
Summary(pl.UTF-8):	Wiązania Pythona 2 do deltarpm
Group:		Libraries/Python
# does not require base package

%description -n python-deltarpm
This package contains Python 2 bindings for deltarpm.

%description -n python-deltarpm -l pl.UTF-8
Ten pakiet zawiera wiązania Pythona 2 do deltarpm.

%package -n python3-deltarpm
Summary:	Python 3 bindings for deltarpm
Summary(pl.UTF-8):	Wiązania Pythona 3 do deltarpm
Group:		Libraries/Python
# does not require base package

%description -n python3-deltarpm
This package contains Python 3 bindings for deltarpm.

%description -n python3-deltarpm -l pl.UTF-8
Ten pakiet zawiera wiązania Pythona 3 do deltarpm.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%{?with_rpm5:%patch2 -p1}

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I/usr/include/rpm -D_GNU_SOURCE" \
	bindir=%{_bindir} \
	libdir=%{_libdir} \
	mandir=%{_mandir} \
	prefix=%{_prefix} \
	zlibbundled='' \
	zlibldflags='-lz' \
	zlibcppflags=''

%{__make} python \
	PYTHONS="%{?with_python2:python} %{?with_python3:python3}" \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	bindir=%{_bindir} \
	libdir=%{_libdir} \
	mandir=%{_mandir} \
	prefix=%{_prefix} \
	zlibbundled='' \
	zlibldflags='-lz' \
	zlibcppflags=''

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with python2}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean
%endif

%if %{with python3}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.BSD README
%attr(755,root,root) %{_bindir}/applydeltarpm
%attr(755,root,root) %{_bindir}/combinedeltarpm
%attr(755,root,root) %{_bindir}/makedeltarpm
%attr(755,root,root) %{_bindir}/rpmdumpheader
%{_mandir}/man8/applydeltarpm.8*
%{_mandir}/man8/combinedeltarpm.8*
%{_mandir}/man8/makedeltarpm.8*

%files -n deltaiso
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/applydeltaiso
%attr(755,root,root) %{_bindir}/fragiso
%attr(755,root,root) %{_bindir}/makedeltaiso
%{_mandir}/man8/applydeltaiso.8*
%{_mandir}/man8/fragiso.8*
%{_mandir}/man8/makedeltaiso.8*

%files -n drpmsync
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/drpmsync
%{_mandir}/man8/drpmsync.8*

%if %{with python2}
%files -n python-deltarpm
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_deltarpmmodule.so
%{py_sitedir}/deltarpm.py[co]
%endif

%if %{with python3}
%files -n python3-deltarpm
%defattr(644,root,root,755)
%attr(755,root,root) %{py3_sitedir}/_deltarpmmodule.so
%{py3_sitedir}/deltarpm.py
%{py3_sitedir}/__pycache__/deltarpm.cpython-*.py[co]
%endif
%changelog
* Mon Mar 10 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/deltarpm.git;a=log;h=master

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 11ee12d
- python 3.13 rebuild

* Sat Feb 08 2025 Jakub Bogusz <qboosh@pld-linux.org> 2b97dc3
- updated to 3.6.5

* Wed Feb 05 2025 Jan Rękorajski <baggins@pld-linux.org> 70f5b3e
- disable python2 support, rel 3

* Wed Feb 05 2025 Jan Rękorajski <baggins@pld-linux.org> c5baf48
- rebuild for rpm 4.20, rel 2

* Sun Oct 08 2023 Jakub Bogusz <qboosh@pld-linux.org> 174529b
- updated to 3.6.3

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 2b44c83
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> f92d952
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c7611c9
- release 6 (by relup.sh)

* Mon Feb 22 2021 Jan Rękorajski <baggins@pld-linux.org> e7e1b7f
- added rpm5 bcond
- rel 5

* Sat Nov 02 2019 Jan Rękorajski <baggins@pld-linux.org> b685f15
- fix CFLAGS
- rel 4

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e7ed4a8
- rebuild with python 3.8
- release 3 (by relup.sh)

* Thu Jul 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b22e9b
- release 2 (by relup.sh)

* Sat May 12 2018 Jakub Bogusz <qboosh@pld-linux.org> 41f890d
- new URLs, updated to 3.6.1
- updated rpm5 patch
- added python3- package

* Fri May 06 2016 Jan Rękorajski <baggins@pld-linux.org> 9705b15
- fix python module install
- rel 4

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 26f47af
- release 3 (by relup.sh)

* Sun Apr 05 2015 Jakub Bogusz <qboosh@pld-linux.org> c9a3fd6
- pl

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 4bdab77
- x32 rebuild
- release 2 (by relup.sh)

* Sun Feb 01 2015 Elan Ruusamäe <glen@delfi.ee> 803d130
- up to 3.6 release

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 37df8af
- rebuild to fix broken filedigests
- release 5 (by relup.sh)

* Tue Sep 25 2012 Jan Rękorajski <baggins@pld-linux.org> 92a3657
- rebuild with fixed rpm macros
- release 4 (by relup.sh)

